slice2py(1)

NAME
slice2py - The Slice to Python compiler.

SYNOPSIS
slice2py [options] [files]

DESCRIPTION
slice2py compiles Slice files to Python. Full documentation for slice2py is available online at: "https://doc.zeroc.com/display/Ice36/Code+Generation+in+Python".

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--all
    Generate code for all Slice definitions, including those from included files.

--checksum CLASS
    Generate checksums for Slice definitions.

--prefix PREFIX
    Use PREFIX as the prefix for generated file names.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2java(1), slice2php(1), slice2rb(1)